<?php
/**
* Color Settings.
* @package Elegant Jewellery
*/

$elegant_jewellery_default = elegant_jewellery_get_default_theme_options();

$wp_customize->add_setting( 'elegant_jewellery_default_text_color',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'elegant_jewellery_default_text_color',
    array(
        'label'      => esc_html__( 'Text Color', 'elegant-jewellery' ),
        'section'    => 'colors',
        'settings'   => 'elegant_jewellery_default_text_color',
    ) ) 
);

$wp_customize->add_setting( 'elegant_jewellery_border_color',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'elegant_jewellery_border_color',
    array(
        'label'      => esc_html__( 'Border Color', 'elegant-jewellery' ),
        'section'    => 'colors',
        'settings'   => 'elegant_jewellery_border_color',
    ) ) 
);